- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy > Struct Template Reference

Argument traits of variable size element array. More...

`#include <Var_Array_Argument_T.h>`

List of all members.

## Public Types
typedef T_slice * | ret_type
typedef const T | in_type
typedef T | inout_type
typedef T_out | out_type
typedef In_Var_Array_Argument_T< T, T_slice, T_forany, Insert_Policy > | in_arg_val
typedef Inout_Var_Array_Argument_T< T, T_slice, T_forany, Insert_Policy > | inout_arg_val
typedef Out_Var_Array_Argument_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy > | out_arg_val
typedef Ret_Var_Array_Argument_T< T, T_slice, T_var, T_forany, T_tag, Insert_Policy > | ret_val
typedef Var_Array_Tag | idl_tag

## Detailed Description

### template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>
struct TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >

Argument traits of variable size element array.

## Member Typedef Documentation

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef Var_Array_Tag TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::idl_tag

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef In_Var_Array_Argument_T<T, T_slice, T_forany, Insert_Policy> TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::in_arg_val

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef const T TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::in_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef Inout_Var_Array_Argument_T<T, T_slice, T_forany, Insert_Policy> TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::inout_arg_val

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef T TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::inout_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef Out_Var_Array_Argument_T<T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy> TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::out_arg_val

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef T_out TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::out_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef T_slice* TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::ret_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany, typename T_tag, typename Insert_Policy>

typedef Ret_Var_Array_Argument_T<T, T_slice, T_var, T_forany, T_tag, Insert_Policy> TAO::Var_Array_Arg_Traits_T< T, T_slice, T_var, T_out, T_forany, T_tag, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- Var_Array_Argument_T.h